Unit tzf14r_p;
interface
uses
SysUtils, Math, LStruct, Lfunc, UtRes_p, FZF14R_p, ZF14R_p;

function tzf14r: String; 

implementation

function tzf14r: String;
var
ITMAX,N,NDIG,_i,IERR :Integer;
EPS,EPS1,EPS2 :Real;
ROOT :Array [0..2] of Real;
begin
Result := '';
ITMAX := 100;
N := 3;
EPS := 0.00001;
EPS1 := EPS;
EPS2 := 0.01;
NDIG := 5;
ROOT[0] := -0.72;
ROOT[1] := 0.723;
ROOT[2] := 0.0;
ZF14R(FZF14R,N,EPS,NDIG,EPS1,EPS2,ROOT,ITMAX,IERR);
Result := Result + Format('%10d %20.16f %20.16f %20.16f %10d %10d %10d',[N,EPS,EPS1,EPS2,NDIG,ITMAX,IERR]) + #$0D#$0A;
Result := Result + #$0D#$0A;
for _i:=0 to 2 do
 begin
  Result := Result + Format('%20.16f ',[ROOT[_i]]);
  if ( ((_i+1) mod 1)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
UtRes('tzf14r',Result);  //    tzf14r.res
exit;
end;

end.
